Front Page

User Manual

Last Updated: L.E. 4-9-2009 Version 1.x


Introduction

ShopBot Link is a nesting package integrated into the ShopBot Control.

This package allows the user to nest various parts into sheet stock, thus creating a user-friendly program. Some benefits of this particular package include better yield, mixing of different parts, label printing for the parts as well as off-fall, ability to re-use off-fall, etc. It will also display a graphical view of the nest to insure it will suit the user’s needs along with a yield percentage per sheet stock.


Specifications

ShopBot Link can be used in conjunction with eCabinet systems software to quickly nest and generate CNC programs from the provided TWD files.

Definition: Off-fall = Usable scrap leftover from an operation.


Operation

The user may activate ShopBot Link from the Start menu or an icon on the desktop. A dialog box will appear resembling the following picture:


Export

The Export option will create a file containing all the current setting in ShopBot Link. This helps Thermwood debug any cases that are causing problems. Simply click on the button and designate where to save the file. Then send this file to Thermwood with a description of your problem.


Loading Files

Clicking on the “Load” button will bring up the Load dialog which is the interface used to load all compatible files into the ShopBot Link Software. The large, white window on the left contains the current parts ready to be nested. The column to the right contains load and add buttons for each compatible file.


eCabinet Systems Files (*.twd)

To load a new file, press Load which is located under the heading “TWD Files” (eCabinets icon listed below). Once the window’s browser appears, the operator will need to select the correct file or files that he/she wants to load (To select multiple files, hold down Ctrl. Key when selecting). Once the selection has been made a list of parts will then appear in the window on the left. If the user looks closely, they will notice check marks aside of the cabinet(s) name and individual parts. If the check marks are removed, that part will not be included in the nest. Then operator also has the option to change the quantity of the parts that are going to be cut. To do this, they must select the specific line containing the parts that they want to change the quantity of. Then, by pressing the “Enter” key, this will enable them to type in a new quantity. Once a file has been loaded, more files can be added by pressing the “Add” button, located under the “TWD Files” heading. To clear all parts listed in the Load Screen; press the “Clear All” button. Otherwise, when loading a TWD the load screen will automatically be cleared.


Clear All

To clear all parts listed in the Load Screen; press the “Clear All” button. Otherwise, when loading a TWD or DXF file the load screen will automatically be cleared.


Scrap Part Recovery

There may be times that a particular part moves during machining, resulting in a defective part. This means a single part will have to be re-machined. To do this, the operator needs to go into the Load screen and make sure that only the parts that need cut again are selected. Then, they will need to place a check mark aside of the Scrap Part Recovery option which will cause the machine to run only one part per sheet. Each part will be cut at the flip operation fence and follow the X & Y Shift settings.

The option for no outline cuts in Settings will be obeyed. If it is selected the part to be machined will need to be cut to size and can be placed in the fence location for the operations to be performed.

If the no outline cuts selection is not selected then the machine will run the outline pass. Material will need to be a size greater than the part by the diameter in width and length when the option Nest to Edge of Sheet is NOT selected. If Nest to Edge of Sheet is selected then the material does NOT need to be oversized.

The Part Rotation Step Angle option in Settings is also obeyed. For example, if the setting is 90 degrees then the part(s) will be rotated 90 degrees.


Selection Filter

The Selection Filter allows for nesting only certain materials in the currently loaded items. By selecting a material(s) in the drop down list the appropriate parts will be selected in the tree for nesting. By choosing "All Materials" all parts will be selected in the tree for nesting. Settings are applied when the Apply button is pressed.


Settings

The Settings option must be addressed prior to running the ShopBot Link software, in order for the nesting feature to operate correctly. When selecting the Settings button at the main ShopBot Link screen, the following dialogue box will appear:


Dimension Format

The section named “Format” is the dimensional mode in which the CNC code will be written when the operator chooses too write the CNC code. The Format can be set to any of the dimensional modes when nesting TWD files. However, when nesting DXF files the format must be set to the same dimension in which the drawing file was created.


Table Parameters

The section named “Table Parameters” defines the size of the machine table, ability to swap X with Y, and the thickness of wasteboard being used. If a wasteboard is not being used, then this value should be set to zero.

The "Length Axis" value setting is used to set which axis on the machine is longer. Most cabinet machines have X as the long axis. Some Model 67 configurations have the Y axis as the longer axis so this value should be set to Y for those configurations.


Machine Settings

The section named “Machine Settings” is used to activate the different options that the CNC machine being operated may have.


Sheet Selection

“Sheet Selection” enables the operator to select a specific sheet that they want to start machining on, when starting a particular CNC program.


Router Off Every Sheet

“Router Off Every Sheet” insures that the router will be shut off after completing cut operations on each sheet of material.


Ck Waste Board Every Sheet

“Ck Waste Board Every Sheet” prompts the operator to check wasteboard thickness every time a new sheet is started.


Placement Pins Setup

“Placement Pins Setup” allows the operator to choose settings (which pins to use and I/O’s that operate) for use of automatic popup pins. The operator has the ability with the dialog below to control which output is used to turn the pins on/off as well as which input must be met forcing the pins to “wait”. The pins can be used for Sheet Operations and Flip Operations if required by checking the appropriate boxes.


Sheet Macros

Macros can be inserted before and after each sheet run. This allows for any unique load/unload operations to be inserted at the appropriate points in the CNC program. The feature is merely inserting whatever text, which is put in the edit boxes on the dialog displayed below, into the CNC program..


Pocket Settings

The “Pocket Settings” enable the operator to setup parameters for cutting pockets. The operator has the option to choose a “Spiral” or “Zigzag” cutting method when cutting pockets.


Pocket Tool Setup

Pocket Step & Clean Up

“Step Percentage” is the amount the tool will step over each cut pass based on a percentage of the tool diameter. The “Clean Up Amount” is the amount of material that is left around the outer perimeter of the pocket, for a finish pass. When nesting parts that will have pockets cut in them that go through the material, the operator has the option to choose whether or not a plug is left.


Pocket Area (Through Cuts)

“Pocket Area (Through Cuts)” enables the user to control the tool deciding whether to leave a plug or too completely remove all material in the center of a pocket boundary. If the through pocket has an area less than the area specified, the tool will cut away all material within the pocket’s boundary. All through pockets, with an area larger than the specified amount, will be cut leaving a plug.


Run Pockets made of 1 arc and 1 line as a drill when the line

Run Pockets made of 1 arc and 1 line as a drill when the line is on the edge of the part

“Run Pockets made of 1 arc and 1 line as a drill when the line is on the edge of the part,” is used to cut KD fastener pockets as a drill operation, rather than using the pocketing method.


Cut Parameters

The “Cut Parameters” section allows the operator to control the cutting methods used when machining parts. For instance, Direction allows the operator to choose a cut path direction of Climb or Conventional.


Double Pass Size

Double Pass

ShopBot Link will perform a double pass on the outline operation of small parts. The size of this small part can be set in the Double Pass dialog. This dialog is accessed by clicking the Double Pass button.

The Double Pass dialog allows the operator to set a maximum square inch or millimeter setting as well as a maximum width/length value for skinny parts. Any part that falls below either setting will get a Double Pass operation on the outline. The outline tool will cut down to the Skin Thickness on the first pass.

If you wish to have parts not get the skin remove the "Size to Leave Skin on Double Pass Part" is provided. Any part that falls below either the Size or Width/Length setting will have the skin left on.


Skin Thickness

If 2 passes are to be used, ShopBot Link will leave a “Skin Thickness” which is removed on the second pass.


Ramp In Length

ShopBot Link ramps into a part rather than plunging directly into it. The benefits of this include, no burning of the material, longer cutter life, and longer spindle life. The length of this ramp is set within the “Ramp In Length”. If we set this value to 6 inches, then it will take 6” to ramp to the proper depth of cut.


Cut Through Depth

The “Cut Through Depth” simply cuts through the part by the specified amount.


Retract Height

“Retract Height” is the distance the machine retracts above the part before indexing to the next part.


Outline Order

The “Outline Order” button gives the operator the option to choose what order he or she would like the parts too cut.


Pre-Ramp Depths

“Dado/Rout Pre-Ramp Depth” and “Outline Pre-Ramp Depth” allow the machine to plunge into the material by the specified amount, before continuing with the ramp in. This is useful when machining laminated sheets with an up spiral or compression cutter. It helps prevent chipping of the laminate.


% Full Feed for Through Cuts

The “% Full Feed for Through Cuts” field adjusts the feed rate set for the Outline tool. Example: If the outline tool is set to run at 500 IPM, and the “% Full Feed for Through Cuts” field is set to 50%, Control Nesting will run the outline tool at 250 IPM.


Last Line Feed Speed

The “Last Line Feed Speed” is used to control the rate of speed at which the machine performs the cleanup cut for the “Ramp In Length” of the part. This is used to prevent part movement when cutting the part free from the sheet.


Max Feed Size

The value entered in the “Max Feed Size” field is set to square inches. If a part has an area less than the “Max Feed Size”, then ShopBot Link will adjust the feed rate for this part only. This will also help prevent part movement for the small parts that qualify.


Min Feed Rate

“Min Feed Rate” specifies the slowest feed rate at which the machine will cut.


Activate Timer

Turning the “Activate Timer” on allows the user to keep track of how long it took to machine a particular job. Flip operations will not use the timer. Once all sheets have been machined, a dialog box will appear stating showing the time it took.


Do Drills First

By checking the “Do Drills First” check box, all of the drill operations in the program will be executed first.


Perform All Through Cuts Last

The operator has the option to machine all “skins” last if a part requires 2 passes. To do this, “Perform All Through Cuts Last” can be selected. If left un-checked, the machine will perform the second pass immediately after the first pass.


No Outline Cuts

When this check box is selected the CNC code generated will not cut the outline pass on all parts in the nest.


No Off Fall Cuts

When this check box is selected the CNC code generated will not cut the Off Fall out. The Off Fall will still exist it will simply not have a perimeter pass to cut it out available in the CNC code..


Tabbing Parts

When parts are too small to hold down with vacuum, the operator has the choice to use Tabs or leave a “skin” around the part. Tabs simply connect parts together to prevent movement.


Tab Parameters

The “Tab Parameters” section defines the width of the tabs, the minimum width of the part to use tabs, and the minimum length of the part to use tabs. If we set the “Part Width for Tabbing” to 5 inches, then any part that has a width smaller than 5” will be tabbed. Note that the tabbing option is typically used for Model 53 machines.


Nesting Parameters

The button named “Nesting Parameters” opens a dialog which allows the user to determine size of off-fall, additional part clearance, nest direction, collar, step angle, nest to edge, and starting corner..


Min. Square for Off Fall

The “Min. Square for Off Fall” field determines the area in which ShopBot Link searches for off-fall (Scrap material that can be used). For instance, if the operator has a value of 12 inches set, ShopBot Link will search every 12 inches square for off-fall. The smallest off-fall in this case, will be 12 inches square. ShopBot Link will store the dimensions for the off-fall in a database, which may be found under the “Add Sheet(s)” button from the main menu. If the user does not wish to use off-fall, setting this value larger than the maximum sheet area will prevent ShopBot Link from using it.


Add Part Clearance

The “Add Part Clearance” option is the value that increases the distance between parts. This is mainly used to prevent accidental gouging once a part has been machined, in case it moves during other operations. Part movement may be caused by insufficient hold down methods, parts being too small, etc.


Collar

“Collar” is the distance around the outside edge of the sheet stock that parts are to be nested within. Normally, an additional amount is added when the outside edges of the sheet are damaged.


Part Rotation Step Angle

“Part Rotation Step Angle” is a feature added to the Settings dialog to give the operator the ability to control the increments in which each part is rotated and tried when the nest is created. Example: If the step angle provided is 90 degrees, then the parts will be tried in 0, 90, 180, and 270 degrees. This value is what is used for non-grain material nests to rotate parts for optimal nesting.


Nest to the Edge of the Sheet

The “Nest to the Edge of the Sheet” check box will allow the operator to nest parts directly along the edge of the sheet of material. By default ShopBot Link will leave the radius of the outline tool around the edge of the sheet when creating a nest and then any Collar amount will be added to that number. If the collar is set to zero and the Nest to the Edge of the Sheet is checked, parts will be nested to the edge of the material when creating the CNC code.


Starting Corner

One of 4 corners can be designated as the starting point for parts to be nested on a sheet. This is NOT related to where your fixture is located. The starting corner represents the corner of the sheet that parts are placed as the nesting calculations are performed.

The Starting Corner can be designated for New Sheets. It can also be designated for Added Sheets & Off-Fall. The designation for Added Sheets and Off-Fall is the same.


Tooling

This is where all ShopBot Link tools are defined. Each tool will need to be set up in Tool Management on the Thermwood Control Prior to setting up the Operations here.


Select Tool Tolerance

This value will tell ShopBot Link what tolerance to use when selecting the proper tool for an operation. The tolerance value is applied to the diameter of the tool. For example, if an operation calls for a tool with a diameter of 0.25" and the tool at the control that will work for this operation is actually 0.245 a tolerance of 0.006" will allow this tool to be selected for the operation.


Tooling Group

The purpose of tooling groups is to allow a group of tools to be used for specific materials. Currently, Rolling Nest allows 50 different tooling groups to be defined. To set up a tooling group, the operator must first define which group by using the pull-down menu. Once this has been selected, the operator must set the materials that they wish to use for this tool group.

An entire Group setting can be erased by clicking the Erase button next to the Group name.


Copy/Paste

Copy and Paste options are available. To Copy/Paste a group setting select the desired group in the drop down. Then click the Copy button or use the hot key Ctrl-C. Then select the group you wish to Paste the settings into. Once that group is selected click the Paste button or use the hot key Ctrl-V.


Group Materials

The materials that each tool group is used on is specified in the “Group Materials” section. Notice the “Add” and “Delete” buttons. By pressing the “Add” button, a dialog box will appear in which the operator may add materials from the database or create their own. After doing this, the material name(s) will appear in the white window. To delete a material, highlight the name and press the “Delete” button.


Ignore Groups

If the operator does not wish to use tooling groups, Rolling Nest will use the tools specified under the Default group, once the “Ignore Groups” box has been checked. Now we must select the tooling to use for a tooling group, or the default group. ShopBot Link only allows tools that are correctly set up in the 91000 Super Control’s Tool Table. The tool table can be accessed by exiting ShopBot Link and pressing the F9 (Tool Management), then F2 (Tool Table) keys on the keyboard.


Outline Tool Setup

The first tool is defined in the “Outline Tool Setup” section. This section defines the tool to be used for all perimeter (outline) cuts. You must enter a tool number representing the tool number to be used at the ShopBot along with the diameter of that tool. Note that ShopBot Link also uses the tool’s diameter to determine the distance between parts when nesting. Once the tool has been specified, the operator must set the “Feed Speed”, “Plunge Speed”, "Max Penetration", and “Spindle Speed”. If the machine is configured for it, the operator has the option to choose the “Reverse Spindle” option.

The "Max Penetration" setting keeps a tool from being used at a depth greater than this amount in 1 pass. If a depth of cut is greater than this amount ShopBot Link will perform the operation in incremental passes at the "Max Penetration" amount until the operation is complete.


Operation Tool(s) Setup

All other tooling will be defined in the “Operation Tool(s) Setup” section. ShopBot Link has the option to setup 50 different operations. To start, choose an operation number from the pull-down menu. Then specify the tool number and diameter. Now we need to define the operation(s) that we would like to use this tool for. This can be done by selecting the appropriate operation(s) under the “Type” section. Only now can we set the “Feed Speed”, “Plunge Speed”, “Spindle Speed”, "Max Penetration", and “Reverse Spindle”. These fields are grayed out until the operator chooses an operation type.

Tools specified as Rout/Dado will be used in Pocketing operations. The pocketing feature will search through the list of Operation Tools starting at Operation 1. The FIRST tool found which successfully performs the pocketing operation will be selected. It is good practice to set your tools from larger diameter to smaller diameter in the Operation Tools list.

The "Max Penetration" setting keeps a tool from being used at a depth greater than this amount in 1 pass. If a depth of cut is greater than this amount ShopBot Link will perform the operation in incremental passes at the "Max Penetration" amount until the operation is complete.

Notice the “Interpolate” selection. With this selected, we are allowing that tool to be used for any circle interpolation that may be needed. Also, with this selected we are now able to set the “Max Interpolate Diameter” field. The “Max Interpolate Diameter” field allows the user to limit the size of hole to machine with that tool. Normally, when drilling a hole with a high RPM, there is a risk of burning the material or damaging the tool. Interpolating a hole will prevent this from happening.

Blind Dove Tail tool specifications can as be set with Dove Tail Tool and Use for Male Routs with Dove Tail check boxes. The Dove Tail Tool check box is to designate the tool is a Dove Tail Tool. The Use for Male Routs with Dove Tail check box is to designate this tool is to be used to cut the male ends of the dove tail joint if and only if the tool diameter is small enough to perform the radius cuts that are present in a particular joint.


Confirmation Screen

The “Confirmation Screen” button allows the user to review all settings that have been made in the “Tooling” section of Rolling Nest.


Adding Sheets and/or Off-fall

A dialog box resembling the following picture will appear when selecting the Add Sheet(s) button. To begin, a job must be loaded before entering any irregular shaped scrap, undersized sheet stock, or off-fall left from prior nests. Off-fall can be added by scanning the barcode at this time or selecting from the Off-fall Library. The material entered in this section may be used in future nests, as long as the material name matches the part material. Once everything is completed under the Add Sheet(s) section, the operator may select the Done button to get back to the main menu.


Off-fall Library

To access the off fall library and view the material that is listed, select the “OffFalls” button. This will bring up a dialog box resembling the following picture.


Load Operations

The options within the “Load Operations” section allows the operator to load either the selected or the unselected OffFalls from the box to the left.


Delete Operations

The options within the “Delete Operations” section allows the operator to delete either the selected or unselected OffFalls from the box to the left.


Search Option

The Search Option allows the ability to enter a bar code from the label on the off-fall. Enter the number with out the $ symbol then hit enter or click Go. The item will be selected in the list if it exists. Then you can load or delete that off-fall.

Note: Previous selections will remain when using this option.


Bring Selections to Top

This button will bring all selections in the list to the top for viewing them together.


Sheet Entry

The first section is called “Sheet Entry.” “Select Material” is where the operator will enter a material name, or choose from the pull-down menu. If the material name doesn’t match the part material, then ShopBot Link will not use it. If it is rectangular, check the field next to “Rectangular” and enter the dimensions for “Length” and “Width.” To the right, ShopBot Link will draw the rectangular scrap. If the material is not rectangular, un-check the “Rectangular” field and enter points into the “Point X” and “Point Y” fields. This requires that the material be drawn in a point-to-point fashion. Selecting “Enter Point” will place the point in the large window. If any of the points have been entered incorrectly, “Undo” may be selected to start over. The points entered must create a closed contour.


Void Entry

The next section is called “Void Entry.” It allows the user to specify a bad section within the scrap material; ShopBot Link will not nest any parts into this section. The void is also drawn in a point-to-point fashion. Once finished entering the points, selecting “Enter Void” will add it to the material in the large window.


Grain Setting

The “Grain Setting” section allows the user to specify the direction of grain for the scrap material. Check the appropriate field that applies.


Rotate Off-fall Input

“Rotate Off Fall input” allows the operator to select the orientation of the off fall material that is selected from the off fall library. The operator must select the orientation before loading the off fall material.


Sheet(s) List

This list contains the sheets created that will be used when nesting.


Accept Sheet

Once all sections are completed, selecting the Accept Sheet button will place the material into the Sheet(s) List window.


Delete Sheet

Too remove sheets from the Sheet(s) List window, the operator must highlight the sheet and then select the Delete Sheet button. Any material in the Sheet(s) List window will be used in the next nest, if possible. Remember, the scrap material name must match the part material name in order to use it.


Return

The Return button will return operator to the main ShopBot Link screen if selected.


Nesting

ShopBot Link is now ready to begin nesting the TWD, MDB or DXF file(s) that were loaded earlier. By selecting the Nest X or Y button, ShopBot Link will display a layout of the nest onto the machine diagram, as shown below. Using the X button means the nest with progress along the X axis. Using the Y button means the nest will progress along the Y axis. The nest will be based off of the previous inputs. Along with the nest, a yield percentage, material type, and number of sheets used will be displayed. To scroll through the sheets in the nest to view, simply click on the drop down arrow and select the sheet you want to view.


Printing

If the operator wants to print labels and a nest layout, they can select the “Print” button and the following dialog box will appear.

Printing Sheets:

Print Sheets will perform the printing for the selected Sheet Settings.

Sheet Settings will take you to the following dialog where options for the printed sheet can be set.

NOTE: When using the "Use Part Name on Parts" option you must keep in mind that if you have parts with long names it could appear messy. Plus if the nest contains multiple parts with the same name it will be difficult to depict where a part is located in the nest. This option is recommended for jobs with simple unique part name strategies.

Printing Labels:

Print Labels will bring up a dialog box to perform label printing. The labels will be printed based on the Crystal Report file selected. Click the Select File button to select a Crystal Report file. The files provided with ShopBot Link are located in the C:\Rolling Nest\Labels directory.

The following is a list of the available Crystal Report files with a label type and an example of the data they display per label.

NOTE: Files with the word "Barcode" in the title will only print labels with barcodes.

30252_Address.rpt & 30252_Address_Barcode.rpt

Label Type: Dymo label printer with 30252 Address labels

30256_Shipping.rpt & 30256_Shipping_Barcode.rpt

Label Type: Dymo label printer with 30256 Shipping labels

30252_Address_Symbol.rpt & 30252_Address_Symbol_Barcode.rpt

Label Type: Dymo label printer with 30252 Address labels

30256_Shipping_Symbol.rpt & 30256_Shipping_Symbol_Barcode.rpt

Label Type: Dymo label printer with 30256 Shipping labels

1p33x4_Address_Sheet.rpt & 1p33x4_Address_Sheet_Barcode.rpt

Label Type: Sheet Inkjet or Laser printer with 1.33" x 4" labels

- Avery 5162 or 8462

- OL100WR from www.OnlineLabels.com

2x4_Shipping_Sheet.rpt & 2x4_Shipping_Sheet_Barcode.rpt

Label Type: Sheet Inkjet or Laser printer with 2" x 4" labels

-Avery 5163 or 8463

-OL125WR from www.OnlineLabels.com


Writing CNC

Writing to ShopBot

The “Write to ShopBot” button is the final step for creating a nested program. When this button is selected from the main menu, ShopBot Link will output the necessary code to cut parts, to the ShopBot Control Software screen.


Rotate Flip Operation

Sometimes parts can be nested in an orientation where locating the part at the flip operation fence is difficult or impossible. This option allows you to rotate this part by 90, 180, or 270 degrees so that a good corner of the part can be used to locate the part at the flip operation fence. After a nest is created click the Rotate Flip Op button to bring up the following dialog. The angle can be changed for the appropriate part by either clicking the angle entry or hitting the space bar. When locating the part at the flip operation fence, flip the part as usual then apply the desired rotation to the part.


eCabinet Systems Drawer Box Designer Setup

To properly create a drawer box for CNC machining, there are a few parameters that need to be set. Several of these setting revolve around the geometry of the female dovetail router tool that will be used.

Load a drawer box into the drawer box designer. Go to construction setting, then construction parameters of the part that will have the male dovetails. You will see the Dovetail Settings in the upper right corner of this dialog. These values (excluding inset fields) can also be changed globally on the global settings tab of the construction setting dialog.

Placement Inset Values: Distance from the edge of the part to the center of the first tail.

Max. Dist. Between: Maximum allowed distance between (center to center) before adding an additional tail.

Dovetail Depth: This value is dependant on the female dovetail tool ‘s geometry.

(see dimension A in illustration 1) When using the Thermwood supplied dovetail tool FSH1065 this value is .35”

Fit Clearance: This value will apply side clearance for the dovetails. This may be desired for gluing purposes. The amount entered is the sum of the total clearance (a .01” fit clearance will apply .005” of clearance on each side of the dovetail)

Thickness (% of Material): This value defines the thickness of the dovetails. When using the Thermwood supplied dovetail tool FSH1065, it will be necessary to machine down approximately .21” of material to hide the dovetail radius when parts are assembled. The Thickness % can be calculated by taking the material thickness being used minus .21” divided by material thickness being used.

Thickness % = ((Material Thickness - .21”) / Material Thickness)

Dovetail Width: This is the dovetail width from tip to tip. Typically this value should not exceed 2 times the dovetail bit diameter (see dimension B in illustration 1)

Corner Radius: This value is dependant on the female dovetail tool ‘s geometry.

(see dimension R in illustration 1) When using the Thermwood supplied dovetail tool FSH1065 this value is .125”

Corner Angle: This value is dependant on the female dovetail tool ‘s geometry.

(see angular dimension C in illustration 1) When using the Thermwood supplied dovetail tool FSH1065 this value ranges 7-10 Degrees.


Set up at the Machine

Table flatness is very important to the success of a quality dovetail joint. If the machining surface is not flat, it may result in the dovetail tool’s top radiuses gouging in some areas and being too shallow in others. This may result in an unsatisfactory fit. With that said, surfacing of the spoil-board and possibly the waste board/handling sheet will most likely be required.

The tool for the female dovetail routes must be set up in the Thermwood SuperControl’s tool set up screen. The Diameter and Daylight values are the only critical values that must be set.

Daylight: This value is as important as the machining surface flatness. If this number is not accurate, again it may result in the dovetail tool’s top radiuses gouging or being too shallow. This may result in an unsatisfactory fit. It MUST be understood that this value can be altered for the dove tail tool to help with the fit of the joint. If the tool is not cutting deep enough the joint will show a gap. If the tool is cutting too deep the joint will be too tight. This value will need to be altered based on fluctuations in material thickness. Keep in mind that the value for depth that is set in eCabinet Systems MUST be an accurate value relative to the tool's geometry. (Please refer to eCabinet Systems Drawer Box Designer Setup)

Diameter: This value is taken from the tip of the tails (see dimension B in illustration 1) If this value is not defined correctly, unsatisfactory fit may result.

Note: Although it may be best to locate the underlying issue, this value can be used to tighten loose side to side fit by increasing the value enter.


ShopBot Link, Settings Dialog

In ShopBot Link, there are 2 parameters in the settings dialog that pertain to dovetail machining. They are Dovetail Radius Crunch and Male Dovetail Feed.

Dovetail Radius Crunch: Due to the nature of the blind dovetail joint, there are certain crushing factors that take place when assembling the parts. When machined to the perfect dimension, the sharp corners of the male tails will crush against the radius created by the female dovetail tool causing the tails to seat potentially too deep. This phenomenon is controlled by the Dovetail Radius Crunch value. The value entered in this field will pull the female tool geometry back causing a shallower fit. This amount should be adjusted until desired fit is achieved. Keep in mind that different materials may require different values. (A value of 0” will have no crunch applied. The larger the value, the shallower the female cut will be. See illustration 2 for more detail)

Male Dovetail Feedrate: This is the federate that will be used when machining around the male dovetail joints. It is not uncommon for the same tool cutting dado operations (which typically can be cut at much higher feedrate) to be used for cutting around the male dovetail cuts.

Material Thickness to run Outline cut around Dove Tail Tenons to minimize load on Male Dove Tail tool: This is a value that ShopBot Link will refer to when making the decision whether or not to use the outline tool to 'hog out' the tenons to give relief to the smaller tool which will do the final cutting. If the material is thicker than this value the outline pass will cut around the tenons if and only if the diameter of the outline tool can fit between the tenons. It will leave the skin thickness value. This option will cost time in machining, but will help with thicker materials since experience has proven that the smaller tools cannot handle the full load of thicker materials for this operation.

During the testing phase of the dovetail drawer boxes, it was discovered that a conventional cut direction seemed to leave a much cleaner finished edge resulting in no or minimal clean up for assembly. With that said, a conventional cut direction would be the recommended way. Keep in mind that not all materials will react in the same way, so a climb cut should be tried if conventional does not seem to give the edge quality desired. This setting is changed on the settings dialog under cut parameters, direction.

Text Box: Illustration 2


ShopBot Link Tooling Dialog

When setting up tooling for the dovetail joints, there are a few tooling settings that need to be discussed. To get to the tooling dialog, select the Tooling button on the main ShopBot Link dialog. First, it is required to designate an operation tool as being the female dovetail tool. This is accomplished by the following steps:

  • Select the operation # desired

  • Select a tool number for that operation

  • Check on the Dovetail Tool option for that operation

Next, the operation tool for the male dovetail routs may be specifically designated by checking the Use for Male Routs with Dovetail option. Having this option checked will force it to use this tool if the diameter is acceptable for the rout. If the diameter is too large, it will search the operation tools for the largest acceptable diameter that will work. If this option is not checked for any operation tools, it will automatically do a search for the largest acceptable tool diameter available.

Note: If using tooling groups, ensure that the material being used exists in the group and that the operation tools needed are specifically set for that group.


CNC File Path

Where the CNC file is written can be designated in CNC File Path Settings by clicking the CNC File Path button.


CNC File Path Settings

With the CNC File Path Settings you can designate the default directory you wish to have the CNC File wrtten. When the option "Enable CNC Quick Write" is selected the file will be named by the last job loaded and placed in the default directory. If this option is not selected you will be asked where to save the file upon clicking Write CNC on the main screen. The File Save Dialog will open up to the default directory.


Inset Carvings

Version Requirements:

  • Control Nesting 5.0 or higher

  • THM (Windows 2000) 5.05 Build 9 or higher

  • THM (Windows XP) 6.1.0.3 or higher

  • Thermwood CNC Rental 2.0 or higher

Inset Carvings which are available through the Thermwood CNC Rental program can be applied to parts in eCabinet Systems. Control Nesting will perform these carvings as long as the Controller has the Thermwood CNC Rental application installed, the needed carving file is installed, and there are credits available to run the program.

The screen for Control Nesting will not display the carving. It will only display an arrow in the location the carving is to occur.


Minimum Leftover Area

Minimum Pocket/Leftover Area

This is the area amount that Control Nesting will ignore for pocketing. Any pocket area that is less than or equal to this amount will not be pocketed. Any leftover area that is created in a pocket and is less than or equal to this amount will be ignored.


Pocket

Level number 9 contains the purple geometry in the bottom center of our example and has been created on a layer named “pocket d0p5 z0p375”. This pocket will use a tool with a diameter of .5” and machine the pocket .375” deep. If the diameter of tool to be used isn’t specified in the layer name the tool set in the Pocket settings in ShopBot Link will automatically be used for the cut. The cut convention or style will be set in the settings dialog in Control Nesting. You have the ability to change from spiral, zig-zag, inside to out or outside to in, etc.


Tool Optimization %

This value determines whether or not a tool is useful in a pocket.

Tool Optimization % = Leftover Area / Pocket Area

If a tool creates left over that results in a Tool Optimization % greater than the value set, this tool will not be used. This helps to optimize the tool usage for pocketing. Control Nesting will try the next size down tool to perform the pocketing.